% File man/Lck.Rd
\name{Lck}
\alias{Lck}
\title{Reports a matrix with the mean number of clients of class i in each node (server) j in a MultiClass Network}
\description{
  Reports a matrix with the mean number of clients of class i in each node (server) j in a MultiClass Network
}

\usage{
  Lck(x, \dots)
}
\arguments{
  \item{x}{a object of class o_MCON or o_MCCN}
  \item{\dots}{aditional arguments}
}

\details{Reports a matrix with the mean number of clients of class i in each node (server) j in a MultiClass Network}

\references{

[Sixto2004] Sixto Rios Insua, Alfonso Mateos Caballero, M Concepcion Bielza Lozoya, Antonio Jimenez Martin (2004).\cr
\emph{Investigacion Operativa. Modelos deterministicos y estocasticos}.\cr
Editorial Centro de Estudios Ramon Areces.\cr
\cr
  [Lazowska84] Edward D. Lazowska, John Zahorjan, G. Scott Graham, and Kenneth C. Sevcik (1984).\cr
\emph{Quantitative System Performance: Computer System Analysis Using Queueing Network Models}.\cr
Prentice-Hall, Inc., Englewood Cliffs, New Jersey
}

\seealso{
  \code{\link{Lck.o_MCON}}\cr
  \code{\link{Lck.o_MCCN}}
}


\examples{
## See example in pag 138 in reference [Lazowska84] for more details.

classes <- 2
vLambda <- c(3/19, 2/19)
nodes <- 2
vType <- c("Q", "Q")
vVisit <- matrix(data=c(10, 9, 5, 4), nrow=2, ncol=2, byrow=TRUE)
vMu <- matrix(data=c(10, 3, 5/2, 1), nrow=2, ncol=2, byrow=TRUE)

i_mcon1 <- NewInput.MCON(classes, vLambda, nodes, vType, vVisit, vMu)

# Build the model
o_mcon1 <- QueueingModel(i_mcon1)

Lck(o_mcon1)

}

\keyword{MultiClass Queueing Models}
